ChangeSet 1.1094.6.7, 2003/03/14 10:43:09-08:00, johannes@erdfelt.com

[PATCH] uhci-hcd.c 2.5 finish completions in correct order

Here's the 2.5 version of the patch to uhci.c to finish completions in
the correct order.


 drivers/usb/host/uhci-hcd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Mon Mar 17 11:46:51 2003
+++ b/drivers/usb/host/uhci-hcd.c	Mon Mar 17 11:46:51 2003
@@ -136,7 +136,7 @@
 	unsigned long flags;
 
 	spin_lock_irqsave(&uhci->complete_list_lock, flags);
-	list_add(&urbp->complete_list, &uhci->complete_list);
+	list_add_tail(&urbp->complete_list, &uhci->complete_list);
 	spin_unlock_irqrestore(&uhci->complete_list_lock, flags);
 }
 
